summaryrefslogtreecommitdiff
path: root/dev-python/thriftpy2
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-28 08:16:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-28 08:16:05 +0000
commit27256d3bdbadf370ac9827c3de12d9e59e003351 (patch)
treec1c2235b03b63b59d987270db2d9fa8fe3bfda48 /dev-python/thriftpy2
parentbe5f8773c2d9f02bad28029e5076464b21338e79 (diff)
downloadbaldeagleos-repo-27256d3bdbadf370ac9827c3de12d9e59e003351.tar.gz
baldeagleos-repo-27256d3bdbadf370ac9827c3de12d9e59e003351.tar.xz
baldeagleos-repo-27256d3bdbadf370ac9827c3de12d9e59e003351.zip
Adding metadata
Diffstat (limited to 'dev-python/thriftpy2')
-rw-r--r--dev-python/thriftpy2/Manifest1
-rw-r--r--dev-python/thriftpy2/thriftpy2-0.4.19.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/thriftpy2/Manifest b/dev-python/thriftpy2/Manifest
index b4b3df6c79f8..750fd153e840 100644
--- a/dev-python/thriftpy2/Manifest
+++ b/dev-python/thriftpy2/Manifest
@@ -1 +1,2 @@
DIST thriftpy2-0.4.17.tar.gz 519386 BLAKE2B 29c383cb886debb7167fbcef3526d0c027dc60db5ae20c554ea19067bb9a3ab40bea50392bd903293c5d9de1e3bc210220d887bd71194f91345a7565f577ccd9 SHA512 7c58eb6d0c91c933e31654d28ce2f4ef04854551db3eb5b8022565932761c74d95f27d44fc847f93723e535fdb4997fdad66a9dba432aa44e27e069e73b7ff7e
+DIST thriftpy2-0.4.19.tar.gz 689034 BLAKE2B 556d47b65b0f9801627515ab7e3fc9907af50b43e8197142626e51b8110ffd740285c895e9ee98e6e0bd8074b9e2f4e9811ce309a68d006dc504f80b3ca38ae6 SHA512 a67160e742683ecd4e47007cd4a6a52f78ab3ae492aa4c170f725d25f1a78fb6a0054cab691752b20a43ff855df61207d302af65ae5966ee5c3f961ff1e42650
diff --git a/dev-python/thriftpy2/thriftpy2-0.4.19.ebuild b/dev-python/thriftpy2/thriftpy2-0.4.19.ebuild
new file mode 100644
index 000000000000..5f1359c9b629
--- /dev/null
+++ b/dev-python/thriftpy2/thriftpy2-0.4.19.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure python approach of Apache Thrift"
+HOMEPAGE="
+ https://github.com/Thriftpy/thriftpy2/
+ https://pypi.org/project/thriftpy2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/ply[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/tornado[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/test_tornado.py::TornadoRPCTestCase::test_asynchronous_exception
+ tests/test_tornado.py::TornadoRPCTestCase::test_asynchronous_result
+ )
+
+ cd tests || die
+ epytest
+}